<%@ page language="java" import="java.util.*" pageEncoding="gbk"%>
<!DOCTYPE html>
<html>
<head lang="en">
	<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
 	<%@include file="../../frame/assets/header-all.jsp"%>
	<style>
	.form-line .text-content{
		width:120px;
	}
	</style>
</head>
<body class="easyui-layout">
<form id="childform" class="easyui-form" data-options="novalidate:true">
	<input id="syncid" type="hidden" />
	<div class="form-line clearfix" >
		<div class="fl">
			<span class="text-content"><em class="must"></em>设备编号：</span> 
			<input id="videonum" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="设备编号必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>通道编号：</span> 
			<input id="channelnum" class="easyui-numberbox" data-options="required:false,validType:'length[0,10]'" missingMessage="通道编号必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>通道名称：</span> 
			<input id="channelname" class="easyui-textbox" data-options="required:false,validType:'length[0,80]'" missingMessage="通道名称必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>行政目录：</span> 
			<input id="admincatalogue" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="行政目录必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>创建人员：</span> 
			<input id="createaccount" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="创建人员必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>创建日期：</span> 
			<input id="createtime" class="easyui-textbox" data-options="required:false,validType:'length[0,19]'" missingMessage="创建日期必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>修改人员：</span> 
			<input id="modifyaccount" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="修改人员必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>修改日期：</span> 
			<input id="modifytime" class="easyui-textbox" data-options="required:false,validType:'length[0,19]'" missingMessage="修改日期必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>备注：</span> 
			<input id="remarks" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="备注必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>扩展1：</span> 
			<input id="extend1" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="扩展1必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>扩展2：</span> 
			<input id="extend2" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="扩展2必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>扩展3：</span> 
			<input id="extend3" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="扩展3必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>扩展4：</span> 
			<input id="extend4" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="扩展4必填项" > 
		</div> 
	</div>

	<div class="form-line hidden">
		 
	</div>
</form>
</body>
</html>
<script type="text/javascript">
var winId	= $.getUrlParam("winId");
var records = top.$("#"+winId).panel("options").data;
$(function(){
	//加载下拉选项
	setTimeout(loadValue,500);
});
function loadValue(){
	if(records){
		$("#syncid").val(records.syncid);
		$("#videonum").textbox("setValue",records.videonum);
		$("#channelnum").numberbox("setValue",records.channelnum);
		$("#channelname").textbox("setValue",records.channelname);
		$("#admincatalogue").textbox("setValue",records.admincatalogue);
		$("#createaccount").textbox("setValue",records.createaccount);
		$("#createtime").textbox("setValue",records.createtime);
		$("#modifyaccount").textbox("setValue",records.modifyaccount);
		$("#modifytime").textbox("setValue",records.modifytime);
		$("#remarks").textbox("setValue",records.remarks);
		$("#extend1").textbox("setValue",records.extend1);
		$("#extend2").textbox("setValue",records.extend2);
		$("#extend3").textbox("setValue",records.extend3);
		$("#extend4").textbox("setValue",records.extend4);

	}else{
		
	}
}
/*
var xx1 = $("#xx1").textbox("getValue");//文本
var xx2 = $("#xx2").combobox("getValue");//下拉
var xx3 = $("#xx3").datetimebox("getValue");//日期
var xx4 = $("#xx4").numberbox("getValue");//数字
$('#xx5').combobox({  
	url:'xtclAction!select_Xtcl.do?csdl=xx5&page=1&rows=1000', 
	textField:"csmc",  
	valueField:"csdm",
	panelWidth:148,
	loadFilter:function(data){
		//data.unshift({"csmc":"选择","csdm":""});
		return data;
	}
});
$("#xx6").textbox("setValue",records.xx6);
$("#xx7").combobox("setValue",records.xx7);
$("#xx8").combobox("setValue",records.xx8);
$("#xx9").datetimebox("setValue",$.getNowTime());
$("#xx10").datetimebox("setValue",$.getTodayStart('00:00:00',-3));//往前推3天  +'00:00:00'
$("#xx11").datetimebox("setValue",$.getTodayEnd());//当天 +'23:59:59'	
$("#xx12").datetimebox("setValue",$.getDateNumToStr(records.xx12));
$("#xx13").numberbox("setValue",records.xx13);
*/
</script>
